-- 29/06/2016
-- version: 2.2.0
CREATE TABLE IF NOT EXISTS `plugin_gmaps_settings` (
	`name` VARCHAR(255) NOT NULL COLLATE 'utf8_unicode_ci',
	`value` VARCHAR(255) NOT NULL COLLATE 'utf8_unicode_ci',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- 10/12/2018
-- version: 2.2.1
CREATE TABLE IF NOT EXISTS `plugin_gmaps_polygon_usa` (
	`id` INT(10) UNSIGNED AUTO_INCREMENT NOT NULL,
	`county` VARCHAR(255) NOT NULL COLLATE 'utf8_unicode_ci',
	`state_county` VARCHAR(255) NOT NULL COLLATE 'utf8_unicode_ci',
	`state_abbr` VARCHAR (3) NOT NULL COLLATE 'utf8_unicode_ci',
	`geometry` mediumtext NOT NULL COLLATE 'utf8_unicode_ci',
	PRIMARY KEY(`id`)
	) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `plugin_gmaps_polygon_usa_data` (
`id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
`page_id` VARCHAR(50),
`name`  VARCHAR(50) NOT NULL,
`center_county` VARCHAR(255)  NOT NULL COLLATE 'utf8_unicode_ci',
`zoom` VARCHAR(10)  NOT NULL COLLATE 'utf8_unicode_ci',
`stroke_width` VARCHAR(10)  NOT NULL COLLATE 'utf8_unicode_ci',
`stroke_opacity` VARCHAR(10)  NOT NULL COLLATE 'utf8_unicode_ci',
`stroke_color` VARCHAR(100)  NOT NULL COLLATE 'utf8_unicode_ci',
`fill_opacity` VARCHAR(10)  NOT NULL COLLATE 'utf8_unicode_ci',
`fill_color` VARCHAR(100)  NOT NULL COLLATE 'utf8_unicode_ci',
`addresses` TEXT,
PRIMARY KEY ( `id` )) ENGINE=InnoDB DEFAULT CHARSET='utf8' COLLATE='utf8_unicode_ci';

-- 29/12/2020
-- version: 2.2.2
CREATE TABLE IF NOT EXISTS `plugin_gmaps_group_markers_config` (
    `id` INT(10) UNSIGNED AUTO_INCREMENT NOT NULL,
    `group_name` VARCHAR(255) COLLATE utf8_unicode_ci NOT NULL,
    `group_label` VARCHAR(255) COLLATE utf8_unicode_ci NOT NULL,
    `image_name` VARCHAR(255) COLLATE utf8_unicode_ci NOT NULL,
    PRIMARY KEY (`id`),
    UNIQUE (`group_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

ALTER TABLE `plugin_gmaps_geopage` ADD COLUMN `group_name_id` int(10) unsigned DEFAULT NULL AFTER `address`;

CREATE TABLE IF NOT EXISTS `plugin_gmaps_overlay_pictures_config` (
    `id` INT(10) UNSIGNED AUTO_INCREMENT NOT NULL,
    `overlay_name` VARCHAR(255) COLLATE utf8_unicode_ci NOT NULL,
    `image_name` VARCHAR(255) COLLATE utf8_unicode_ci NOT NULL,
    `coord_position_bottom_left` VARCHAR(255) COLLATE utf8_unicode_ci NOT NULL COMMENT 'LatLng 62.281819,-150.287132',
    `coord_position_top_right` VARCHAR(255) COLLATE utf8_unicode_ci NOT NULL COMMENT 'LatLng 62.400471,-150.005608',
    PRIMARY KEY (`id`),
    UNIQUE (`overlay_name`)
    ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- 06/04/2021
-- version: 2.2.3
DELETE FROM `plugin_gmaps_geopage` WHERE `page_id` NOT IN (SELECT id FROM `page`);
ALTER TABLE `plugin_gmaps_geopage` CHANGE `page_id` `page_id` int(10) unsigned NOT NULL AFTER `id`;
ALTER TABLE `plugin_gmaps_geopage` ADD FOREIGN KEY(`page_id`) REFERENCES `page` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION;

-- These alters are always the latest and updated version of the database
UPDATE `plugin` SET `version`='2.2.4' WHERE `name`= 'gmaps';
SELECT version FROM `plugin` WHERE `name` = 'gmaps';
